Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v12
Class IDPEntry

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.liberty.v12.IDPEntry`

public class IDPEntry
extends oracle.security.xmlsec.util.XMLElement

Liberty IDPEntry element. This element describes an identity provider that a service provider supports.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`IDPEntry(org.w3c.dom.Document owner)` Creates a new `IDPEntry` instance.
`IDPEntry(org.w3c.dom.Document owner, java.lang.String providerId, java.lang.String loc)` Creates a new `IDPEntry` instance.
`IDPEntry(org.w3c.dom.Element element)` Creates a new `IDPEntry` instance from the given Element node.
`IDPEntry(org.w3c.dom.Element element, java.lang.String SystemId)` Creates a new `IDPEntry` instance from the given Element node.

Method Summary
`java.lang.String` | `getLoc()` Returns the URI contained in the Loc child element of this IDPEntry, or `null` if no Loc element is present.
`java.lang.String` | `getProviderID()` Returns the identity provider's URI-based ideitifier contained in the ProviderID child element of this IDPEntry, or `null` if no ProviderID element is present.
`java.lang.String` | `getProviderName()` Returns the identity provider's human-readable name contained in the ProviderName child element of this IDPEntry, or `null` if no ProviderName element is present.
`void` | `setLoc(java.lang.String locURI)` Set the value of the Loc child element in this IDPEntry element.
`void` | `setProviderID(java.lang.String providerID)` Set the value of the ProviderID child element in this IDPEntry element.
`void` | `setProviderName(java.lang.String providerName)` Set the value of the ProviderName child element in this IDPEntry element.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDPEntry

    public IDPEntry(org.w3c.dom.Element element)
             throws org.w3c.dom.DOMException

  Creates a new `IDPEntry` instance from the given Element node.
Parameters:
  `element` - A Liberty IDPEntry element.

### IDPEntry

    public IDPEntry(org.w3c.dom.Element element,
                    java.lang.String SystemId)
             throws org.w3c.dom.DOMException

  Creates a new `IDPEntry` instance from the given Element node.
Parameters:
  `element` - A Liberty IDPEntry element.

### IDPEntry

    public IDPEntry(org.w3c.dom.Document owner)
             throws org.w3c.dom.DOMException

  Creates a new `IDPEntry` instance.
Parameters:
  `owner` - The owner document of the new Liberty IDPEntry element.

### IDPEntry

    public IDPEntry(org.w3c.dom.Document owner,
                    java.lang.String providerId,
                    java.lang.String loc)
             throws org.w3c.dom.DOMException

  Creates a new `IDPEntry` instance.
Parameters:
  `owner` - The owner document of the new Liberty IDPEntry element.
  `providerId` - The `ProviderID` child element.
  `loc` - The `Loc` child element.

Method Detail

### setProviderID

    public void setProviderID(java.lang.String providerID)

  Set the value of the ProviderID child element in this IDPEntry element. This required element contains the identity provider's URI-based identifier.
  Parameters:
    `providerID` - The identity provider URI-based identifier.

### getProviderID

    public java.lang.String getProviderID()

  Returns the identity provider's URI-based ideitifier contained in the ProviderID child element of this IDPEntry, or `null` if no ProviderID element is present.

### setProviderName

    public void setProviderName(java.lang.String providerName)

  Set the value of the ProviderName child element in this IDPEntry element. This optional child element contains the identity provider's human-readable name.
  Parameters:
    `providerName` - The identity provider's human-readable name.

### getProviderName

    public java.lang.String getProviderName()

  Returns the identity provider's human-readable name contained in the ProviderName child element of this IDPEntry, or `null` if no ProviderName element is present.
  Returns:
    The name in the ProviderName element or null if not set.

### setLoc

    public void setLoc(java.lang.String locURI)

  Set the value of the Loc child element in this IDPEntry element. This required child eleent contains the URI where the identity provider can be contacted for sending the authentication request.
  Parameters:
    `locURI` - The URI where the identity provider can be contacted.

### getLoc

    public java.lang.String getLoc()

  Returns the URI contained in the Loc child element of this IDPEntry, or `null` if no Loc element is present.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.